org.eclipse.microprofile.fault.tolerance.tck.extension

## Class TckLoadableExtension

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.extension.TckLoadableExtension

All Implemented Interfaces:
  org.jboss.arquillian.core.spi.LoadableExtension

    public class TckLoadableExtension
    extends Object
    implements org.jboss.arquillian.core.spi.LoadableExtension

Extension to register extensions required by the TCK

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.arquillian.core.spi.LoadableExtension

`org.jboss.arquillian.core.spi.LoadableExtension.ExtensionBuilder, org.jboss.arquillian.core.spi.LoadableExtension.Validate`

### Constructor Summary

Constructors
Constructor and Description
`TckLoadableExtension()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `register(org.jboss.arquillian.core.spi.LoadableExtension.ExtensionBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TckLoadableExtension

    public TckLoadableExtension()

### Method Detail

#### register

    public void register(org.jboss.arquillian.core.spi.LoadableExtension.ExtensionBuilder builder)

Specified by:
  `register` in interface `org.jboss.arquillian.core.spi.LoadableExtension`